Skip to main content
npayload is launching soon.
npayloadDocs
API ReferenceChannels

Get channel details

GET/v1/channels/{channelId}

Authorization

ApiKeyAuth
AuthorizationBearer <token>

API key authentication. Keys are prefixed with environment:

  • npk_live_ for production
  • npk_test_ for testing/staging

In: header

Path Parameters

channelId*string

Channel ID

Response Body

application/json

application/json

application/json

curl -X GET "https://api.npayload.com/v1/channels/string"
{
  "id": "string",
  "name": "string",
  "description": "string",
  "status": "active",
  "schema": {},
  "retentionDays": 0,
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "error": {
    "code": "UNAUTHORIZED",
    "message": "Invalid or missing API key"
  }
}
{
  "error": {
    "code": "NOT_FOUND",
    "message": "Resource not found"
  }
}

Was this page helpful?